UPDATE GRUPOSCONTROLE_VEICULOS GCV
  SET GCV.CODIGODISPOSITIVO = (SELECT FIRST 1 VD.CODIGODISPOSITIVO
                                 FROM VEICULOS_DISPOSITIVOS VD
                                 WHERE VD.CODIGOVEICULO = GCV.CODIGOVEICULO
                                   AND VD.REMOVIDO = 'F'
                                   AND VD.CODIGOAVLS = 0
                                 ORDER BY VD.DATAHORA_ATIVACAO DESC)
  WHERE GCV.CODIGODISPOSITIVO IS NULL;
